Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SHA1.cpp File Reference

SHA-1 Hash key computation implementation. More...

`#include "SHA1.h"`
`#include <stdlib.h>`

## Detailed Description

SHA-1 Hash key computation implementation.

100% free public domain implementation of the SHA-1 algorithm by Dominik Reichl <Dominik.Reichl@tiscali.de>

=== Test Vectors (from FIPS PUB 180-1) ===

"abc" A9993E36 4706816A BA3E2571 7850C26C 9CD0D89D

"abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq" 84983E44 1C3BD26E BAAE4AA1 F95129E5 E54670F1

A million repetitions of "a" 34AA973C D4C4DAA4 F61EEB2B DBAD2731 6534016F